name: linuxserver-tvheadend
services:
  app:
    image: linuxserver/tvheadend:version-9968e6f3
    restart: unless-stopped
    environment:
      PUID: $PUID
      PGID: $PGID
      TZ: $TZ
      RUN_OPTS: ''
    x-casaos:
      envs:
        - container: PUID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the UID to use here.
        - container: PGID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the GID to use here.
        - container: TZ
          description:
            en_us: specify a timezone to use, see this list.
        - container: RUN_OPTS
          description:
            en_us: Optionally specify additional arguments to be passed. See Additional runtime parameters. [OPTIONAL]
    ports:
      - target: 9981
        published: 9981
        protocol: tcp
      - target: 9982
        published: 9982
        protocol: tcp
    volumes:
      - type: bind
        source: /srv/lsio/tvheadend/config
        target: /config
      - type: bind
        source: /srv/lsio/tvheadend/recordings
        target: /recordings
    devices:
      - /dev/dri:/dev/dri
      - /dev/dvb:/dev/dvb
x-casaos:
  architectures:
    - amd64
    - arm64
  main: app
  description:
    en_us: 'Tvheadend works as a proxy server: is a TV streaming server and recorder for Linux, FreeBSD and Android supporting DVB-S, DVB-S2, DVB-C, DVB-T, ATSC, ISDB-T, IPTV, SAT>IP and HDHomeRun as input sources. Tvheadend offers the HTTP (VLC, MPlayer), HTSP (Kodi, Movian) and SAT>IP streaming. Multiple EPG sources are supported (over-the-air DVB and ATSC including OpenTV DVB extensions, XMLTV, PyXML).'
  tagline:
    en_us: 'Works as a proxy server: is a TV streaming server and recorder for Linux, FreeBSD and Android supporting DVB-S, DVB-S2, DVB-C, DVB-T, ATSC, ISDB-T, IPTV, SAT>IP and HDHomeRun as input sources. Tvheadend offers the HTTP (VLC, MPlayer), HTSP (Kodi, Movian) and SAT>IP streaming. Multiple EPG sources are supported (over-the-air DVB and ATSC including OpenTV DVB extensions, XMLTV, PyXML).'
  developer: LinuxServer.io
  author: WisdomSky
  icon: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/tvheadend-big.png
  thumbnail: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/tvheadend-big.png
  title:
    en_us: Tvheadend
  category: LinuxServer.io
